\version "2.19.81"

\include "tinwhistle.ily"

\header {
	meter = "Hornpipe"
	title = "The Jolly Beggarman"
	composer = ""
}

global = {
	\key d \major
	\time 2/4
}

bpm = \tempo 4. = 90

fluteAA = \fixed c'' {
	e8 |
	\grg a,16. [ \grd a,32 \gre a,16. \grd b,32 ]		\grg a,16. [ b,32 \grg cis16. d32 ] |
	\grg e16. [ fis32 \grg e16. cis32 ]				\thrwd d8 [ \grg cis16. d32 ] |
	\grg e16. [ a,32 \gbirl a,8 ]					\grg a,16. [ b,32 \grg cis32 \grd a,16. ] |
	\grg b,16. [ \grd g,32 \gre g,16. a,32 ]			\dblb b,8 [ e8 ] |

}
fluteAB = \fixed c'' {
	\grg a,16. [ \grd a,32 \gre a,16. \grd b,32 ]		\grg a,16. [ b,32 \grg cis16. d32 ] |
	\grg e16. [ fis32 \grg e16. cis32 ]				\thrwd d8 [ \grg cis16. d32 ] |
	\grg e16. [ a32 \grg a16. g32 ]					a16. [ fis32 \dble e16. d32 ] |
	\dblc cis8 [ \gre a,8 ]							\wbirl a,8
}

fluteBA = \fixed c'' {
	\grg e16. [ fis32 ] |
	\dblg g8 [ \slurf g16. a32 ]						g16. [ fis32 \grg e16. fis32 ] |
	\grA g16. [ fis32 \grg e16. cis32 ]				\thrwd d8 [ \grg cis16. d32 ] |
	\grg e16. [ a,32 \gbirl a,8 ]					\grg a,16. [ b,32 \grg cis32 \grd a,16. ] |
	\grg b,16. [ \grd g,32 \gre g,16. a,32 ]			\dblb b,8
}
fluteBBA = \fixed c'' {
	e16. fis32 |
	\dblg g8 [ \slurf g16. a32 ] g16. [ fis32 \grg e16. fis32 ] |
	\grA g16. [ fis32 \grg e16. cis32 ] \thrwd d8 [ \grg cis16. d32 ] |
	\grg e16. [ a32 \grg a16. g32 ] a16. [ fis32 \dble e16. d32 ] |
	\dblc cis8 [ \gre a,8 ] \wbirl a,8
}
fluteBBB = \fixed c'' {
	e8 |
	\fluteAB
}

flutePart = \new Staff \with {
  instrumentName = "Fl."
  midiInstrument = "flute"
} {
	\global
	\repeat volta 2 { \partial 8 \fluteAA \fluteAB \tag #'midiRemove { s8 |}  }
	\break
	\repeat volta 2 { \partial 8 \fluteBA }
		\alternative {
			{ \break \fluteBBA \tag #'midiRemove { s8 |} }
			{ \break \fluteBBB \tag #'midiRemove { s8 |} }
		}
	\bar "|."
}

\score {
	<<
		\flutePart
	>>
	\layout { }
}

\score {
	\unfoldRepeats \removeWithTag #'midiRemove {
		\flutePart
	}
	\midi {
		\bpm
	}
}